Summary:        Random number generator related utilities
Name:           rng-utils
Version:        2.0
Release:	4%{?dist}
Epoch:		1
Group:          System Environment/Base
License:        GPL
Source0: 	rng-tools-2.tar.gz
Buildroot:      %{_tmppath}/%{name}-%{version}-root
Prereq:		/sbin/chkconfig /sbin/service
BuildPreReq: 	/usr/bin/aclocal /usr/bin/automake /usr/bin/autoconf groff gettext

Obsoletes:	kernel-utils

Patch0:		rng-tools-2-devname.patch
Patch1:		rng-tools-2-tpm.patch
Patch2:		rng-tools-2-warnings.patch
Patch3:		rng-tools-2-xread-retval.patch
Patch4:		rng-tools-2-failures-disable.patch

%description
Hardware random number generation tools.

%prep
%setup -q -n rng-tools-2
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}/usr/sbin
mkdir -p %{buildroot}/usr/man
mkdir -p %{buildroot}/etc/rc.d/init.d
mkdir -p %{buildroot}/etc/sysconfig

#cd rng-tools-2
%configure --sbindir=/sbin
make CFLAGS="$RPM_OPT_FLAGS"
cd ..

%install
mkdir -p %{buildroot}/usr/share/man/man{1,8}

#cd rng-tools-2
make DESTDIR=$RPM_BUILD_ROOT install

chmod -R a-s %{buildroot}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
/usr/bin/rngtest
/sbin/rngd
/usr/share/man/man1/rngtest.1.gz
/usr/share/man/man8/rngd.8.gz

%changelog
* Wed Oct 6 2010 Jay Fenlason <fenlason@redhat.com> 1:2.0-4
- Add dist tag to release
  Resolves: bz#640725

* Mon Aug 23 2010 Jeff Garzik <jgarzik@redhat.com> - 1:2.0-4
- Resolves: bz#461716
- Fix spec build error relating to directory naming

* Mon Aug 23 2010 Jeff Garzik <jgarzik@redhat.com> - 1:2.0-3
- Resolves: bz#461716
- Fix spec build error

* Mon Aug 23 2010 Jeff Garzik <jgarzik@redhat.com> - 1:2.0-2
- Resolves: bz#461716
- Add TPM patch plus all fixes.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1:2.0-1.13.1
- rebuild

* Mon Feb 13 2006 Dave Jones <davej@redhat.com>
- rebuild.

* Thu Feb 09 2006 Dave Jones <davej@redhat.com>
- rebuild.

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcj

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Apr 13 2005 Florian La Roche <laroche@redhat.com>
- remove empty scripts

* Tue Mar  1 2005 Dave Jones <davej@redhat.com>
- Rebuild for gcc4

* Wed Feb  9 2005 Dave Jones <davej@redhat.com>
- Use $RPM_OPT_FLAGS

* Sat Dec 18 2004 Dave Jones <davej@redhat.com>
- Initial packaging, based upon kernel-utils.
